---@meta

---@class USoundMod : USoundBase
---@field bLooping boolean
local USoundMod = {}



---@class USoundModWave : USoundWaveProcedural
---@field SoundMod USoundMod
local USoundModWave = {}



---@class USoundNodeModPlayer : USoundNodeAssetReferencer
---@field SoundModAssetPtr TSoftObjectPtr<USoundMod>
---@field SoundMod USoundMod
---@field bLooping boolean
local USoundNodeModPlayer = {}



